﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Platform.Model
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("TrangThaiGiaoHang")]
    public partial class TrangThaiGiaoHang
    {
        [Key]
        public int MaChiTietTrangThai { get; set; }
        public string MaChungTuDatHang { get; set; }
        public int MaTrangThai { get; set; }
        public string DaLayHang { get; set; }
        public Nullable<System.DateTime> NgayGio { get; set; }
        public string LyDo { get; set; }
        public string MaNhanVienTiepNhan { get; set; }
        public bool? ChoHienThi { get; set; }

        //public virtual ChungTuGiaoHang chungTuGiaoHang { get; set; }
        public DanhSachTrangThaiGiaoHang DanhSachTrangThaiGiaoHang { get; set; }
    }
}
